# depot_sl.cpp File Reference

Code handling saving and loading of depots. More...

`#include "../stdafx.h"`
`#include "../depot_base.h"`
`#include "saveload.h"`

Go to the source code of this file.

## Functions
static void | Save_DEPT ()
static void | Load_DEPT ()
## Variables
static const SaveLoad | _depot_desc []
const ChunkHandler | _depot_chunk_handlers []

## Detailed Description

Code handling saving and loading of depots.

Definition in file depot_sl.cpp.

## Variable Documentation

const ChunkHandler _depot_chunk_handlers[]

Initial value:

     {
      { 'DEPT', Save_DEPT, Load_DEPT, CH_ARRAY | CH_LAST},
    }

const SaveLoad _depot_desc[]`[static]`

Initial value:

     {
      SLE_CONDVAR(Depot, xy,         SLE_FILE_U16 | SLE_VAR_U32, 0, 5),
      SLE_CONDVAR(Depot, xy,         SLE_UINT32,                 6, SL_MAX_VERSION),
          SLE_VAR(Depot, town_index, SLE_UINT16),

    }

Definition at line 10 of file depot_sl.cpp.